<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout/main.html}">
<head>
<title>SQuaRe2</title>
</head>
<body>
	<th:block layout:fragment="buttons">
		<ul class="navbar-nav">
			<li class="nav-item btn-hoverborder"><a class="nav-link btn" th:href="@{/welcome}" th:title="#{button.welcome}"><i
					class="fas fa-home" onclick="progress.start()"></i></a></li>
		</ul>
	</th:block>
	<th:block layout:fragment="links">
		<ul class="navbar-nav">
			<li class="nav-item"><div class="nav-link menubtnselected" th:text="#{button.admin.appconfig}"></div></li>
		</ul>
	</th:block>
	<main layout:fragment="content">
		<div class="whitepanel" th:if="${@sessionBean.isAdmin}">
			<form action="#" th:action="@{/menuitem/update}" th:object="${menuitem}" method="post">
				<input type="hidden" th:field="*{pk}" />
				<div class="container">
					<div class="mb-3 row">
						<label for="id" class="col-sm-2 col-form-label" th:text="#{label.admin.menuitem.id}"></label>
						<div class="col-sm-10">
							<span id="id" class="form-control-plaintext" th:text="*{id}"></span>
						</div>
					</div>
					<div class="mb-3 row">
						<label for="url" class="col-sm-2 col-form-label" th:text="#{label.admin.menuitem.url}"></label>
						<div class="col-sm-10">
							<input id="url" class="form-control" type="text" th:field="*{url}" />
						</div>
					</div>
					<div class="mb-3 row">
						<label for="order" class="col-sm-2 col-form-label" th:text="#{label.admin.menuitem.order}"></label>
						<div class="col-sm-10">
							<input id="order" class="form-control" type="number" th:field="*{orderNr}" />
						</div>
					</div>
					<div class="mb-3 row">
						<label for="translations" class="col-sm-2 col-form-label" th:text="#{label.admin.menuitem.translations}"></label>
						<div class="col-sm-10">
							<table id="tabletrans" class="table table-striped">
								<thead>
									<tr>
										<th th:text="#{label.admin.menuitem.translation.locale}"></th>
										<th th:text="#{label.admin.menuitem.translation.category}"></th>
										<th th:text="#{label.admin.menuitem.translation.value}"></th>
									</tr>
								</thead>
								<tbody>
									<tr th:each="t, cnt : *{translations}">
										<td><img th:alt="${t.locale}" th:src="@{'/png/locale/' + ${t.locale} + '.png'}" th:title="${t.locale}" /></td>
										<td th:text="${t.category}" /></td>
										<td><input th:field="*{translations[__${cnt.index}__].value}" class="form-control" /><input type="hidden"
											th:field="*{translations[__${cnt.index}__].pk}" /></td>
									</tr>
								</tbody>
								<tfoot>
									<tr>
										<td colspan="3">
											<span th:text="#{label.addname}"></span>
											<a th:href="@{/menuitem/{i}/addname/de(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('de')}"><img	alt="" th:src="@{/png/locale/de.png}" th:title="de" /></a>
											<a th:href="@{/menuitem/{i}/addname/en(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('en')}"><img	alt="" th:src="@{/png/locale/en.png}" th:title="en" /></a>
											<a th:href="@{/menuitem/{i}/addname/es(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('es')}"><img	alt="" th:src="@{/png/locale/es.png}" th:title="es" /></a>
											<a th:href="@{/menuitem/{i}/addname/it(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('it')}"><img	alt="" th:src="@{/png/locale/it.png}" th:title="it" /></a>
											<a th:href="@{/menuitem/{i}/addname/pl(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('pl')}"><img	alt="" th:src="@{/png/locale/pl.png}" th:title="pl" /></a>
											<a th:href="@{/menuitem/{i}/addname/pt(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('pt')}"><img	alt="" th:src="@{/png/locale/pt.png}" th:title="pt" /></a>
											<a th:href="@{/menuitem/{i}/addname/ro(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingName('ro')}"><img	alt="" th:src="@{/png/locale/ro.png}" th:title="ro" /></a>
										</td>
									</tr>
									<tr>
										<td colspan="3">
											<span th:text="#{label.adddescription}"></span>
											<a th:href="@{/menuitem/{i}/adddescription/de(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('de')}"><img	alt="" th:src="@{/png/locale/de.png}" th:title="de" /></a>
											<a th:href="@{/menuitem/{i}/adddescription/en(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('en')}"><img	alt="" th:src="@{/png/locale/en.png}" th:title="en" /></a>
											<a th:href="@{/menuitem/{i}/adddescription/es(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('es')}"><img	alt="" th:src="@{/png/locale/es.png}" th:title="es" /></a>
											<a th:href="@{/menuitem/{i}/adddescription/it(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('it')}"><img	alt="" th:src="@{/png/locale/it.png}" th:title="it" /></a>
											<a th:href="@{/menuitem/{i}/adddescription/pl(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('pl')}"><img	alt="" th:src="@{/png/locale/pl.png}" th:title="pl" /></a>
											<a th:href="@{/menuitem/{i}/adddescription/pt(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('pt')}"><img	alt="" th:src="@{/png/locale/pt.png}" th:title="pt" /></a>
											<a th:href="@{/menuitem/{i}/adddescription/ro(i=${menuitem.pk})}" class="btn btn-outline-secondary" th:if="${menuitem.missingDescription('ro')}"><img	alt="" th:src="@{/png/locale/ro.png}" th:title="ro" /></a>
										</td>
									</tr>
								</tfoot>
							</table>
							<script type="text/javascript">
								$(document).ready(
									function() {
										var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
										$('#tabletrans').DataTable({
											"language" : {
												"url" : localeUrl
											}
										});
									});
							</script>
						</div>
					</div>
					<div id="badgecontainer" class="mb-3 row">
						<label for="roles" class="col-sm-2 col-form-label" th:text="#{label.admin.menuitem.roles}"></label>
						<div class="col-sm-10">
							<input type="checkbox" class="nice-checkbox" name="roles" th:each="r : ${menuroles}" th:text="${r}" th:value="${r}" th:field="*{roles}" />
 						</div>
					</div>
					<div class="mb-3 row">
						<div class="col-sm-2"></div>
						<div class="col-sm-10">
							<input type="submit" class="btn btn-primary" th:value="#{button.ok}" /> <a th:href="@{/appconfig}"><button
									class="btn btn-secondary" th:text="#{button.cancel}"></button></a>
						</div>
					</div>
				</div>
			</form>
		</div>
	</main>
</body>
</html>